Bug 987271 - [RFE] tycho: skip version check by default when building packages
[RFE] tycho: skip version check by default when building packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tycho (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 02:38 EDT by Mikolaj Izdebski
Modified: 2013-08-16 19:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: tycho-0.18.1-4.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 19:02:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-23 02:38:10 EDT
Description of problem:
It's inconvinient to define skipTychoVersionCheck in every spec file of packages using tycho.  Tycho should skip version check by default when building packages.

Version-Release number of selected component (if applicable):
0.18.1-1
Comment 1 Roland Grunberg 2013-07-24 17:01:59 EDT
Sounds fine to me.

If a user tries to mix versions of tycho plugins, this could still produce some strange errors (eg. version of Tycho plugins on system with a different versioned Tycho plugin(s) in reactor cache). i think the benefit to packagers/users outweights the issues (that would exist anyways).
Comment 2 Roland Grunberg 2013-07-29 14:00:51 EDT
This should be fixed in tycho-0.18.1-3.fc20 (http://koji.fedoraproject.org/koji/buildinfo?buildID=439010). I'll have this in f19 as well once the branch is updated.
Comment 3 Fedora Update System 2013-08-02 15:47:51 EDT
tycho-0.18.1-4.fc19,tycho-extras-0.18.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tycho-0.18.1-4.fc19,tycho-extras-0.18.1-1.fc19
Comment 4 Fedora Update System 2013-08-03 19:58:55 EDT
Package tycho-0.18.1-4.fc19, tycho-extras-0.18.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-0.18.1-4.fc19 tycho-extras-0.18.1-1.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14180/tycho-0.18.1-4.fc19,tycho-extras-0.18.1-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-16 19:02:37 EDT
tycho-0.18.1-4.fc19, tycho-extras-0.18.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.